Index: src/RandomNumbers/RandomNumberDistribution_Encapsulation.cpp
===================================================================
--- src/RandomNumbers/RandomNumberDistribution_Encapsulation.cpp	(revision 9964ff08ae3e4aef63704e318e818e8e0f0430af)
+++ src/RandomNumbers/RandomNumberDistribution_Encapsulation.cpp	(revision ecb6c5d6da5d51fee9c1327a6586913c65696e7d)
@@ -22,4 +22,6 @@
 #include "CodePatterns/MemDebug.hpp"
 
+#include <limits>
+
 #include "RandomNumberDistribution_Encapsulation.hpp"
 
@@ -130,5 +132,63 @@
 }
 
-
+template <>
+double RandomNumberDistribution_Encapsulation< boost::bernoulli_distribution<> >::min() const
+{
+  return 0.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::binomial_distribution<> >::min() const
+{
+  return 0.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::cauchy_distribution<> >::min() const
+{
+  return std::numeric_limits<double>::min();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::gamma_distribution<> >::min() const
+{
+  return 0.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::poisson_distribution<> >::min() const
+{
+  return 0.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::geometric_distribution<> >::min() const
+{
+  return 0.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::triangle_distribution<> >::min() const
+{
+  return distribution_type.a();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::exponential_distribution<> >::min() const
+{
+  return 0.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::normal_distribution<> >::min() const
+{
+  return std::numeric_limits<double>::min();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::lognormal_distribution<> >::min() const
+{
+  return 0.;
+}
 
 /* ===============  max() ======================= */
@@ -158,4 +218,63 @@
 }
 
+template <>
+double RandomNumberDistribution_Encapsulation< boost::bernoulli_distribution<> >::max() const
+{
+  return 1.;
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::binomial_distribution<> >::max() const
+{
+  return distribution_type.t();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::cauchy_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::gamma_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::poisson_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::geometric_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::triangle_distribution<> >::max() const
+{
+  return distribution_type.c();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::exponential_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::normal_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
+
+template <>
+double RandomNumberDistribution_Encapsulation< boost::lognormal_distribution<> >::max() const
+{
+  return std::numeric_limits<double>::max();
+}
 
 /* ===============  p() ======================= */
Index: src/RandomNumbers/RandomNumberGenerator.hpp
===================================================================
--- src/RandomNumbers/RandomNumberGenerator.hpp	(revision 9964ff08ae3e4aef63704e318e818e8e0f0430af)
+++ src/RandomNumbers/RandomNumberGenerator.hpp	(revision ecb6c5d6da5d51fee9c1327a6586913c65696e7d)
@@ -39,4 +39,16 @@
   virtual void seed(unsigned int _seed)=0;
 
+  /** Getter for smallest possible random number
+   *
+   * @return smallest possible random number
+   */
+  virtual double min() const=0;
+
+  /** Getter for largest possible random number
+   *
+   * @return largest possible random number
+   */
+  virtual double max() const=0;
+
   /** Getter for the type name of the internal engine.
    *
Index: src/RandomNumbers/RandomNumberGenerator_Encapsulation.hpp
===================================================================
--- src/RandomNumbers/RandomNumberGenerator_Encapsulation.hpp	(revision 9964ff08ae3e4aef63704e318e818e8e0f0430af)
+++ src/RandomNumbers/RandomNumberGenerator_Encapsulation.hpp	(revision ecb6c5d6da5d51fee9c1327a6586913c65696e7d)
@@ -98,4 +98,20 @@
   }
 
+  /** Getter for smallest possible random number
+   *
+   * @return smallest possible random number
+   */
+  double min() const {
+    return distribution_type->min();
+  }
+
+  /** Getter for largest possible random number
+   *
+   * @return largest possible random number
+   */
+  double max() const {
+    return distribution_type->max();
+  }
+
   /** Getter for the type name of the internal engine.
    *
